\hypertarget{structtimlCNNPoolingParams}{\section{timl\-C\-N\-N\-Pooling\-Params Struct Reference}
\label{structtimlCNNPoolingParams}\index{timl\-C\-N\-N\-Pooling\-Params@{timl\-C\-N\-N\-Pooling\-Params}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
\hypertarget{structtimlCNNPoolingParams_a9c5ab9948bbfee8dd7da78509ae8709d}{timl\-C\-N\-N\-Pooling\-Type {\bfseries type}}\label{structtimlCNNPoolingParams_a9c5ab9948bbfee8dd7da78509ae8709d}

\item 
int \hyperlink{structtimlCNNPoolingParams_add78009b025b15de78ef69a0ef44d591}{scale\-Row}
\item 
int \hyperlink{structtimlCNNPoolingParams_a133453423032b3422922d6ad9e9ce681}{scale\-Col}
\item 
\hypertarget{structtimlCNNPoolingParams_aaa2e46a0bee8e6e045ac8e9f32f1ea23}{int {\bfseries pad\-Up}}\label{structtimlCNNPoolingParams_aaa2e46a0bee8e6e045ac8e9f32f1ea23}

\item 
\hypertarget{structtimlCNNPoolingParams_ae53f5f47ce271a60f031dbec0ace8433}{int {\bfseries pad\-Down}}\label{structtimlCNNPoolingParams_ae53f5f47ce271a60f031dbec0ace8433}

\item 
\hypertarget{structtimlCNNPoolingParams_a6a4476c79d2820271b8b66d11cd782bd}{int {\bfseries pad\-Left}}\label{structtimlCNNPoolingParams_a6a4476c79d2820271b8b66d11cd782bd}

\item 
\hypertarget{structtimlCNNPoolingParams_a453e6379c3feb300e968ea59e00b5b5e}{int {\bfseries pad\-Right}}\label{structtimlCNNPoolingParams_a453e6379c3feb300e968ea59e00b5b5e}

\item 
int \hyperlink{structtimlCNNPoolingParams_adeabf9e05e8fce29f0232a8362038224}{stride\-X}
\item 
int \hyperlink{structtimlCNNPoolingParams_a27c516ed5dd5692d92f8f31108a55e34}{stride\-Y}
\item 
int $\ast$ \hyperlink{structtimlCNNPoolingParams_a2669235835b476d787b0da88a4f8c7fe}{max\-Index}
\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{structtimlCNNPoolingParams_a2669235835b476d787b0da88a4f8c7fe}{\index{timl\-C\-N\-N\-Pooling\-Params@{timl\-C\-N\-N\-Pooling\-Params}!max\-Index@{max\-Index}}
\index{max\-Index@{max\-Index}!timlCNNPoolingParams@{timl\-C\-N\-N\-Pooling\-Params}}
\subsubsection[{max\-Index}]{\setlength{\rightskip}{0pt plus 5cm}int$\ast$ timl\-C\-N\-N\-Pooling\-Params\-::max\-Index}}\label{structtimlCNNPoolingParams_a2669235835b476d787b0da88a4f8c7fe}
recode the indices of the max pooling value so that delta can be back propagated to the pooled position \hypertarget{structtimlCNNPoolingParams_a133453423032b3422922d6ad9e9ce681}{\index{timl\-C\-N\-N\-Pooling\-Params@{timl\-C\-N\-N\-Pooling\-Params}!scale\-Col@{scale\-Col}}
\index{scale\-Col@{scale\-Col}!timlCNNPoolingParams@{timl\-C\-N\-N\-Pooling\-Params}}
\subsubsection[{scale\-Col}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Pooling\-Params\-::scale\-Col}}\label{structtimlCNNPoolingParams_a133453423032b3422922d6ad9e9ce681}
pooling kernel col size \hypertarget{structtimlCNNPoolingParams_add78009b025b15de78ef69a0ef44d591}{\index{timl\-C\-N\-N\-Pooling\-Params@{timl\-C\-N\-N\-Pooling\-Params}!scale\-Row@{scale\-Row}}
\index{scale\-Row@{scale\-Row}!timlCNNPoolingParams@{timl\-C\-N\-N\-Pooling\-Params}}
\subsubsection[{scale\-Row}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Pooling\-Params\-::scale\-Row}}\label{structtimlCNNPoolingParams_add78009b025b15de78ef69a0ef44d591}
pooling kernel row size \hypertarget{structtimlCNNPoolingParams_adeabf9e05e8fce29f0232a8362038224}{\index{timl\-C\-N\-N\-Pooling\-Params@{timl\-C\-N\-N\-Pooling\-Params}!stride\-X@{stride\-X}}
\index{stride\-X@{stride\-X}!timlCNNPoolingParams@{timl\-C\-N\-N\-Pooling\-Params}}
\subsubsection[{stride\-X}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Pooling\-Params\-::stride\-X}}\label{structtimlCNNPoolingParams_adeabf9e05e8fce29f0232a8362038224}
pooling kernel stride (horizontal) \hypertarget{structtimlCNNPoolingParams_a27c516ed5dd5692d92f8f31108a55e34}{\index{timl\-C\-N\-N\-Pooling\-Params@{timl\-C\-N\-N\-Pooling\-Params}!stride\-Y@{stride\-Y}}
\index{stride\-Y@{stride\-Y}!timlCNNPoolingParams@{timl\-C\-N\-N\-Pooling\-Params}}
\subsubsection[{stride\-Y}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Pooling\-Params\-::stride\-Y}}\label{structtimlCNNPoolingParams_a27c516ed5dd5692d92f8f31108a55e34}
pooling kernel stride (vertical) 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlCNN_8h}{timl\-C\-N\-N.\-h}\end{DoxyCompactItemize}
